/* GOALS

1. create a tool -- let's call it `getTime()` -- that gets the current time using `Date()` and return the current year, month, day, hour, minute and second

2. use that tool to store the current time in a global variable called `now`

3. create a tool -- let's call it `drawComposition()` -- that configures our composition based on `now`

4. once the page has loaded, update our page in real time using `setInterval`

*/

// 2. global variable
var gNow = getTime();
console.log( 'gNow', gNow.day );

// wait for everything to load, then execute our script
window.onload = function(){

	// then initiate all of our code
	drawComposition(gNow);

}


// 3. create a tool -- let's call it `drawComposition()` -- that configures our composition based on `now`
function drawComposition(theTime) {
	
	// confirm the function is running
	console.log('drawComposition',theTime);

	// define an empty variable
	var container;

	// Morning: 6-11AM
	// if the hour is greater than 6 && the hour is less than or equal to 11

	// Noon: 12-4PM
	// if the hour is greater than or equal to 12 && the hour is less than or equal to 16 (i.e., 4PM)

	// Evening: 5-10PM
	// if the hour is greater than or equal to 5 && the hour is less than or equal to 22 (i.e., 10PM)
	// ... you'll have to fill this in yourself

	// Else ...
	// What is the default? What do we see if none of the above is true?

} // end drawComposition



// 1. create a tool -- let's call it `getTime()` -- that gets the current time using `Date()` and return the current year, month, day, hour, minute and second
function getTime() {

	// functionality goes here!

} // end getTime()




